Package org.eclipse.net4j.db.ddl.delta

# Interface IDBPropertyDelta<T>

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

public interface IDBPropertyDelta<T> extends IDBDelta

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IDBPropertyDelta.Type`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`T`
`getOldValue()`
`IDBPropertyDelta.Type`
`getType()`
`T`
`getValue()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getParent, getSchemaDelta, getSchemaElement`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getType

IDBPropertyDelta.Type getType()

### getValue

T getValue()

### getOldValue

T getOldValue()